#!/bin/sh

# set CLASSPATH, get its value by calling 'mvn dependency:build-classpath'
export CLASSPATH="<fill in the output of the Maven command>"

# add local directory
export CLASSPATH="$CLASSPATH:./target/classes"

# define basic commands
OPTIONS="-Xmx4096m"
CMD="java $OPTIONS de.unihalle.informatik.Alida.tools.ALDOpRunner"

OPERATOR="de.unihalle.informatik.MiToBo.segmentation.thresholds.ImgThresh"

# Example: binarize all images in the 'data' folder
for img in ../../data/testImage_*.pgm
do
    echo "Processing image $img..."

    # name of output file: <input image without extension>-result.tif,
    # image is saved to 'data' directory
    outimg=${img%%.}-result.tif

    # run operator, we use a fixed threshold of 125
    $CMD $OPERATOR inputImage=$img threshold=125 resultImage=./$outimg
done